//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace MovieDBsite.Models
{
    using System;
    using System.Collections.Generic;
    
    public partial class Movie
    {
        public int Id { get; set; }
        public string Title { get; set; }
        public Nullable<int> Year { get; set; }
        public string Description { get; set; }
        public Nullable<int> Rating { get; set; }
        public Nullable<int> CategoryId { get; set; }
    
        public virtual MovieCategory MovieCategory { get; set; }
    }
}
